<?php
class JATemplateHelper
{

	public static function loadParamsContents($item, $pdata = 'attribs'){
      $data = $item->$pdata;
      if(is_string($pdata)){
          $data = new JRegistry;
          $data->loadString($item->$pdata);
      }

      if($data instanceof JRegistry){
          return array(
              'size' => $data->get('jcontent_size', JA_GRID_SIZE)
          );
      }

      return array(
          'size' => JA_GRID_SIZE
      );
  }	
	
	public static function getArticles($params, $catid, $count, $front = 'show')
	{
		require_once JPATH_ROOT . '/modules/mod_articles_category/helper.php';
		$aparams = clone $params;
		$aparams->set('count', $count);
		$aparams->set('show_front', $front);
		$aparams->set('catid', (array)$catid);
		$aparams->set('show_child_category_articles', 1);
		$aparams->set('levels', 2);
		$alist = ModArticlesCategoryHelper::getList($aparams);

    if (version_compare(JVERSION, '3.0', 'ge')) {
      $dispatcher    = JEventDispatcher::getInstance();
    } else {
      $dispatcher    = JDispatcher::getInstance();
    }
		// Compute the article slugs and prepare introtext (runs content plugins).
		for ($i = 0, $n = count($alist); $i < $n; $i++)
		{
			$item = &$alist[$i];
			$item->slug = $item->alias ? ($item->id . ':' . $item->alias) : $item->id;

			$item->parent_slug = ($item->parent_alias) ? ($item->parent_id . ':' . $item->parent_alias) : $item->parent_id;

			// No link for ROOT category
			if ($item->parent_alias == 'root')
			{
				$item->parent_slug = null;
			}

			$item->catslug		= $item->category_alias ? ($item->catid.':'.$item->category_alias) : $item->catid;
			$item->event = new stdClass;

			// Old plugins: Ensure that text property is available
			if (!isset($item->text))
			{
				$item->text = $item->introtext;
			}

			JPluginHelper::importPlugin('content');
			$dispatcher->trigger('onContentPrepare', array ('com_content.category', &$item, &$aparams, 0));

			// Old plugins: Use processed text as introtext
			$item->introtext = $item->text;

			$results = $dispatcher->trigger('onContentAfterTitle', array('com_content.category', &$item, &$item->params, 0));
			$item->event->afterDisplayTitle = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onContentBeforeDisplay', array('com_content.category', &$item, &$item->params, 0));
			$item->event->beforeDisplayContent = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onContentAfterDisplay', array('com_content.category', &$item, &$item->params, 0));
			$item->event->afterDisplayContent = trim(implode("\n", $results));
		}
		return $alist;
	}

	public static function getCategories($parent = 'root', $count = 0)
	{
		require_once JPATH_ROOT . '/modules/mod_articles_categories/helper.php';
		$params = new JRegistry();
		$params->set('parent', $parent);
		$params->set('count', $count);
		return ModArticlesCategoriesHelper::getList($params);
	}

	public static function loadModule($name, $style = 'raw')
	{
		jimport('joomla.application.module.helper');
		$module = JModuleHelper::getModule($name);
		$params = array('style' => $style);
		echo JModuleHelper::renderModule($module, $params);
	}

	public static function loadModules($position, $style = 'raw')
	{
		jimport('joomla.application.module.helper');
		$modules = JModuleHelper::getModules($position);
		$params = array('style' => $style);
		foreach ($modules as $module) {
			echo JModuleHelper::renderModule($module, $params);
		}
	}

}

?>