<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * Joomlart Override
 * Remove leading articles
 * Remove links articles
 * Remove choice columns
 */

defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT.'/helpers');
JHtml::addIncludePath(T3_PATH.'/html/com_content');
JHtml::addIncludePath(dirname(dirname(__FILE__)));
JHtml::_('behavior.caption');
JLoader::register('MedicareHelper', T3_TEMPLATE_PATH . '/templateHelper.php');
//Loading js for only page
MedicareHelper::loadNewsLayoutScript();
?>

<div class="blog<?php echo $this->pageclass_sfx;?>" itemscope itemtype="http://schema.org/Blog">
    <!-- Show page header -->
	<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<div class="page-header clearfix">
		<h1 class="page-title"> <?php echo $this->escape($this->params->get('page_heading')); ?> </h1>
	</div>
	<?php endif; ?>

    <!-- Show category titles -->
	<?php if ($this->params->get('show_category_title', 1) or $this->params->get('page_subheading')) : ?>
  	<div class="page-subheader clearfix">
  		<h2 class="page-subtitle"><?php echo $this->escape($this->params->get('page_subheading')); ?>
			<?php if ($this->params->get('show_category_title')) : ?>
			<small class="subheading-category"><?php echo $this->category->title;?></small>
			<?php endif; ?>
  		</h2>
	</div>
	<?php endif; ?>

	<!-- Show description of category -->
	<?php if ($this->params->get('show_description', 1) || $this->params->def('show_description_image', 1)) : ?>
	<div class="category-desc clearfix">
		<?php if ($this->params->get('show_description_image') && $this->category->getParams()->get('image')) : ?>
			<img src="<?php echo $this->category->getParams()->get('image'); ?>"/>
		<?php endif; ?>
		<?php if ($this->params->get('show_description') && $this->category->description) : ?>
			<?php echo JHtml::_('content.prepare', $this->category->description, '', 'com_content.category'); ?>
		<?php endif; ?>
	</div>
	<?php endif; ?>

    <!-- No articles -->
	<?php if (empty($this->lead_items) && empty($this->link_items) && empty($this->intro_items)) : ?>
		<?php if ($this->params->get('show_no_articles', 1)) : ?>
			<p><?php echo JText::_('COM_CONTENT_NO_ARTICLES'); ?></p>
		<?php endif; ?>
	<?php endif; ?>
    <!-- Override show category items -->
    <?php if(!empty($this->lead_items) || !empty($this->intro_items)) :?>
        <div class="grid effect_<?php echo $this->params->get('showing_effect_scroller','opacity');?>" id="grid">
            <!-- Leading articles -->
            <?php if (!empty($this->lead_items)) : ?>
                <?php foreach ($this->lead_items as &$item) : ?>
                <div class="item col-sm-6 col-md-<?php echo round((12 / $this->columns));?> <?php echo $item->state == 0 ? ' system-unpublished' : null; ?>"
                         itemprop="blogPost" itemscope itemtype="http://schema.org/BlogPosting">
                    <?php
                        $this->item = &$item;
                        echo $this->loadTemplate('item');
                    ?>
                </div>
                <?php endforeach; ?>
            <?php endif; ?>

            <!-- Intro articles -->
            <?php if (!empty($this->intro_items)) : ?>
                <?php foreach ($this->intro_items as $key => &$item) : ?>

                    <div class="item col-sm-6 col-md-<?php echo round((12 / $this->columns));?> <?php echo $item->state == 0 ? ' system-unpublished' : null; ?>"
                        itemprop="blogPost" itemscope itemtype="http://schema.org/BlogPosting">
                        <?php
                        $this->item = &$item;
                        echo $this->loadTemplate('item');
                    ?>
                    </div><!-- end item -->

                <?php endforeach; ?>
            <?php endif; ?>
        </div>
    <?php endif;?>

	<!-- Show tags -->
	<?php if ($this->params->get('show_tags', 1) && !empty($this->category->tags->itemTags)) : ?>
		<?php echo JLayoutHelper::render('joomla.content.tags', $this->category->tags->itemTags); ?>
	<?php endif; ?>

    <!-- Show pagination -->
	<?php if (($this->params->def('show_pagination', 1) == 1  || ($this->params->get('show_pagination') == 2)) && ($this->pagination->get('pages.total') > 1)) : ?>
	<div class="pagination-wrap">
		<?php  if ($this->params->def('show_pagination_results', 1)) : ?>
		<div class="counter"> <?php echo $this->pagination->getPagesCounter(); ?></div>
		<?php endif; ?>
		<?php echo $this->pagination->getPagesLinks(); ?> </div>
	<?php  endif; ?>
</div>