<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

// Create a shortcut for params.
$params  = & $this->item->params;
$images  = json_decode($this->item->images);
$canEdit = $this->item->params->get('access-edit');
$info    = $params->get('info_block_position', 2);
$icons = ($params->get('show_print_icon') ||
	$params->get('show_email_icon') ||
	$canEdit);
$aInfo1 = ($params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author'));
$aInfo2 = ($params->get('show_create_date') || $params->get('show_modify_date') || $params->get('show_hits'));
$topInfo = ($aInfo1 && $info != 1) || ($aInfo2 && $info == 0);
$botInfo = ($aInfo1 && $info == 1) || ($aInfo2 && $info != 0);
?>
<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
	<?php endif; ?>

	<!-- Article -->
	<article>
		<div class="row">
		<?php $images  = json_decode($this->item->images); ?>
		
		<div class="<?php if (isset($images->image_intro) && !empty($images->image_intro)) : echo 'col-sm-4'; else: echo 'col-sm-1'; endif; ?> article-image-wrap">
			<?php echo JLayoutHelper::render('joomla.content.intro_image', $this->item); ?>
			
			<?php if ($params->get('show_publish_date')) : ?>
				<?php echo JLayoutHelper::render('joomla.content.info_block.publish_date_blog2', array('item' => $this->item, 'params' => $params)); ?>
			<?php endif; ?>
		</div>
		
		<div class="<?php if (isset($images->image_intro) && !empty($images->image_intro)) : echo 'col-sm-8'; else: echo 'col-sm-11'; endif; ?>  article-content-wrap">
		
		<?php if ($params->get('show_title')) : ?>
			<header class="article-header clearfix">
				<h2 class="article-title" itemprop="name">
					<?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
						<a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>" itemprop="url"> <?php echo $this->escape($this->item->title); ?></a>
					<?php else : ?>
						<?php echo $this->escape($this->item->title); ?>
					<?php endif; ?>
				</h2>
			</header>
		<?php endif; ?>
		
		<!-- print & email icons -->
		<?php if ($icons): ?>
			<?php echo JLayoutHelper::render('joomla.content.icons', array('item' => $this->item, 'params' => $params, 'print' =>null)); ?>
		<?php endif ?>
		<!-- //print & email icons -->

		<!-- Aside -->
		<?php if ($topInfo) : ?>
			<aside class="article-aside clearfix">

				<dl class="article-info">
					<dt class="article-info-term">
						<?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?>
					</dt>
					<?php if ($params->get('show_author') && !empty($this->item->author)) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.author', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>

					<?php if ($params->get('show_parent_category') && !empty($this->item->parent_slug)) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.parent_category', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>

					<?php if ($params->get('show_category')) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.category', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>

					<?php if ($info == 0) : ?>
						<?php if ($params->get('show_modify_date')) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.modify_date', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>
						<?php if ($params->get('show_create_date')) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.create_date', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>

						<?php if ($params->get('show_hits')) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.hits', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>
					<?php endif; ?>
				</dl>

			</aside>
		<?php endif; ?>
		<!-- //Aside -->

		<section class="article-intro clearfix" itemprop="articleBody">

			<?php if (!$params->get('show_intro')) : ?>
				<?php echo $this->item->event->afterDisplayTitle; ?>
			<?php endif; ?>

			<?php echo $this->item->event->beforeDisplayContent; ?>

			<?php echo $this->item->introtext; ?>
		</section>

		<!-- footer -->
		<?php if ($botInfo) : ?>
			<footer class="article-footer clearfix">

				<dl class="article-info">
					<dt class="article-info-term">
						<?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?>
					</dt>
					<?php if ($info == 1) : ?>
						<?php if ($params->get('show_author') && !empty($this->item->author)) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.author', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>
						<?php if ($params->get('show_parent_category') && !empty($this->item->parent_slug)) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.parent_category', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>
						<?php if ($params->get('show_category')) : ?>
							<?php echo JLayoutHelper::render('joomla.content.info_block.category', array('item' => $this->item, 'params' => $params)); ?>
						<?php endif; ?>
					<?php endif; ?>

					<?php if ($params->get('show_create_date')) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.create_date', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>
					<?php if ($params->get('show_modify_date')) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.modify_date', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>
					<?php if ($params->get('show_hits')) : ?>
						<?php echo JLayoutHelper::render('joomla.content.info_block.hits', array('item' => $this->item, 'params' => $params)); ?>
					<?php endif; ?>
				</dl>

			</footer>
		<?php endif; ?>
		<!-- //footer -->

		<?php if ($this->params->get('show_tags', 1) && !empty($this->item->tags)) : ?>
			<?php $this->item->tagLayout = new JLayoutFile('joomla.content.tags'); ?>
			<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
		<?php endif; ?>

		<?php if ($params->get('show_readmore') && $this->item->readmore) :
			if ($params->get('access-view')) :
				$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
			else :
				$menu      = JFactory::getApplication()->getMenu();
				$active    = $menu->getActive();
				$itemId    = $active->id;
				$link1     = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId);
				$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
				$link      = new JURI($link1);
				$link->setVar('return', base64_encode($returnURL));
			endif;
			?>
			<section class="readmore">
				<a class="btn btn-default" href="<?php echo $link; ?>">
					<span>
					<?php if (!$params->get('access-view')) :
						echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
					elseif ($readmore = $this->item->alternative_readmore) :
						echo $readmore;
						if ($params->get('show_readmore_title', 0) != 0) :
							echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
						endif;
					elseif ($params->get('show_readmore_title', 0) == 0) :
						echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
					else :
						echo JText::_('COM_CONTENT_READ_MORE');
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif; ?>
					</span>
				</a>
			</section>
		<?php endif; ?>
		</div>
		</div> <!-- // End Row -->
	</article>
	<!-- //Article -->
	
	<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>
<?php echo $this->item->event->afterDisplayContent; ?>
