<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$headright = $this->countModules('head-search or languageswitcherload');
?>

<?php if ($this->countModules('topbar') || $headright || ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) ) : ?>
	<!-- Top Bar -->
	<nav class="wrap t3-topbar">
		<div class="main-container">
			<div class="row">
				<div class="col-sm-8 hidden-xs <?php $this->_c('topbar') ?>">
					<jdoc:include type="modules" name="<?php $this->_p('topbar') ?>" />
				</div>
				
				<div class="col-sm-4 col-xs-12">
				
					<!-- Brand and toggle get grouped for better mobile display -->
					<div class="navbar-header pull-right">
					
						<?php if ($this->getParam('navigation_collapse_enable', 1) && $this->getParam('responsive', 1)) : ?>
							<?php $this->addScript(T3_URL.'/js/nav-collapse.js'); ?>
							<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".t3-navbar-collapse">
								<i class="fa fa-bars"></i>
							</button>
						<?php endif ?>

						<?php if ($this->getParam('addon_offcanvas_enable')) : ?>
							<?php $this->loadBlock ('off-canvas') ?>
						<?php endif ?>

					</div>
					
					<?php if ($headright): ?>
						<div class="head-right">
							<?php if ($this->countModules('head-search')) : ?>
								<!-- HEAD SEARCH -->
								<div class="head-search <?php $this->_c('head-search') ?>">
									<jdoc:include type="modules" name="<?php $this->_p('head-search') ?>" style="raw" />
								</div>
								<!-- //HEAD SEARCH -->
							<?php endif ?>

							<?php if ($this->countModules('languageswitcherload')) : ?>
								<!-- LANGUAGE SWITCHER -->
								<div class="languageswitcherload">
									<jdoc:include type="modules" name="<?php $this->_p('languageswitcherload') ?>" style="raw" />
								</div>
								<!-- //LANGUAGE SWITCHER -->
							<?php endif ?>
						</div>
					<?php endif ?>

				</div>
			</div>
			<hr />
		</div>
	</nav>
	<!-- //Top Bar -->
<?php endif ?>
